RK-A2 - Feature #3637

Extend 3634: Ask questions, ask detailed questions and provide detailed answer from content in file
in bucket

06/28/2024 04:59 AM - Ram Kordale

Status: Review Start date: 06/28/2024
Priority: High Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 1.00 hour
Target version: Spent time: 0.00 hour
Description

When user chooses a grade g and subject s, get file gna-cbse-g-s. This is of the following format:
Extend file format of gna-<board>-<grade>-<subject>.txt to:

#$Question: <question>

#$Answer: <answer>

#$Detailed QNAs: <detailed QNAs>
#$Detailed Answer: <detailed answer>
#$Question: <question>

#$Answer: <answer>

#$Detailed QNAs: <detailed QNAs>
#$Detailed Answer: <detailed answer>

Once the user answers the question correctly, ask "Correct answer. Would you like a detailed answer anyway (y/n)?
if y, give <detailed answer> and go on to the next question.

If the user answers wrongly, say "Not quite. Shall we go over the answer step by step (y/n)?"
If y, ask a detailed question. If answer is correct, say "Correct!" and ask next detailed question. If not, say "Not really. The answer is
<give answer from detailed gna>"

Once you ask all detailed questions, ask "Would you like a detailed answer (y/n)?
if y, give <detailed answer> and go on to the next question.

History

#1 - 06/28/2024 05:08 AM - Ram Kordale

- Description updated

#2 - 06/28/2024 06:38 AM - Ayanava Karmakar
- Estimated time set to 1.00 h

#3 - 06/28/2024 03:43 PM - Dewakar Chaubey

- Status changed from New to In Progress

#4 - 06/29/2024 05:34 PM - Dewakar Chaubey
- % Done changed from 0 to 60

#5 - 06/29/2024 05:34 PM - Dewakar Chaubey
- % Done changed from 60 to 50

#6 - 06/30/2024 03:06 PM - Dewakar Chaubey
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#7 - 06/30/2024 03:06 PM - Dewakar Chaubey

- Status changed from Resolved to Review

03/13/2025 12




- Assignee changed from Dewakar Chaubey to Shubham Boke

#8 - 07/03/2024 10:59 AM - Ayanava Karmakar

- Assignee changed from Shubham Boke to Ayanava Karmakar

03/13/2025 22
